## com.thingmagic
Class Iso180006b.Select

    java.lang.Object
      com.thingmagic.Iso180006b.Select

All Implemented Interfaces:
  TagFilter

Enclosing class:
  Iso180006b

    public static class Iso180006b.Select

extends java.lang.Object
implements TagFilter

Field Summary
`boolean` `invert` Whether to invert the selection (deselect tags that meet the comparison and vice versa).

Constructor Summary
`Iso180006b.Select(boolean invert, Iso180006b.SelectOp op, byte address, byte mask, byte[] data)`

Method Summary
`boolean` `matches(TagData t)` Test if a tag matches this filter.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### invert

    public boolean invert

  Whether to invert the selection (deselect tags that meet the comparison and vice versa).

Constructor Detail

### Iso180006b.Select

    public Iso180006b.Select(boolean invert,
                             Iso180006b.SelectOp op,
                             byte address,
                             byte mask,
                             byte[] data)

Method Detail

### matches

    public boolean matches(TagData t)

  Description copied from interface: `TagFilter`
  Test if a tag matches this filter. Only applies to selects based on the EPC.

  Specified by:
    `matches` in interface `TagFilter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`